package org.gcube.portlets.widgets.dataminermanagerwidget.client;

import com.allen_sauer.gwt.log.client.Log;
import com.sencha.gxt.widget.core.client.Window;

/**
 * 
 * @author Giancarlo Panichi email: <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 *
 */
public class DataMinerManagerDialog extends Window {
	//private DateTimeFormat dateTimeFormat= DateTimeFormat.getFormat("yyyy/MM/dd HH:mm:ss SSS");
	private static final String WIDTH = "1024px";
	private static final String HEIGHT = "600px";
	//private static final String PANELWIDTH = "620px";
	//private static final String PANELHEIGHT = "308px";
	
	
	public DataMinerManagerDialog() {
		Log.debug("DataMinerManagerDialog");
		initWindow();
		create();
	
	}

	private void initWindow() {
		setWidth(WIDTH);
		setHeight(HEIGHT);
		setBodyBorder(false);
		setResizable(false);
		setModal(true);
		setClosable(true);
		setHeadingText("DataMiner Manager");
		setOnEsc(true);
	}

	private void create() {
		DataMinerManagerPanel dataMinerManagerPanel=new DataMinerManagerPanel();
		setWidget(dataMinerManagerPanel);
		
	}
}